> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post recipientstokenssettoken



## OpenAPI

````yaml /api-reference/oda-recipient-service-1.0.0.yml post /recipients/tokens/settoken
openapi: 3.0.1
info:
  title: oda-recipient-service
  version: 1.0.0
servers: []
security: []
paths:
  /recipients/tokens/settoken:
    post:
      operationId: setToken
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetToken.SetTokenCommand'
        required: true
      responses:
        '200':
          description: setToken 200 response
components:
  schemas:
    SetToken.SetTokenCommand:
      required:
        - id
        - settings
        - system
        - token
        - type
      type: object
      properties:
        id:
          type: string
        token:
          type: string
        type:
          type: string
        system:
          type: string
        settings:
          type: object
          additionalProperties:
            type: object

````